FreeMat

- Main Page
- Related Pages

vtkAdjacentVertexIterator

Section: Visualization Toolkit Filtering Classes

# Usage

vtkAdjacentVertexIterator iterates through all vertices adjacent to a vertex, i.e. the vertices which may be reached by traversing an out edge of the source vertex. Use graph->GetAdjacentVertices(v, it) to initialize the iterator.

To create an instance of class vtkAdjacentVertexIterator, simply invoke its constructor as follows

      obj = vtkAdjacentVertexIterator

# Methods

The class vtkAdjacentVertexIterator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAdjacentVertexIterator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAdjacentVertexIterator = obj.NewInstance ()`
- `vtkAdjacentVertexIterator = obj.SafeDownCast (vtkObject o)`
- `obj.Initialize (vtkGraph g, vtkIdType v)` - Initialize the iterator with a graph and vertex.
- `vtkGraph = obj.GetGraph ()` - Get the graph and vertex associated with this iterator.
- `vtkIdType = obj.GetVertex ()` - Get the graph and vertex associated with this iterator.
- `vtkIdType = obj.Next ()` - Whether this iterator has more edges.
- `bool = obj.HasNext ()`